Bug 1346214 - dnf install vs. upgrade file conflict
Summary: dnf install vs. upgrade file conflict
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 09:52 UTC by Michael Mráka
Modified: 2016-12-20 20:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:58:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1353628 0 unspecified CLOSED [rfe] automatically generate Conflicts if packages share same docs 2021-02-22 00:41:40 UTC

Internal Links: 1353628

Description Michael Mráka 2016-06-14 09:52:16 UTC
Description of problem:
# dnf install vim-enhanced 
Last metadata expiration check performed 0:00:35 ago on Tue Jun 14 11:32:38 2016.
Dependencies resolved.
==========================================================================================================
 Package                    Arch               Version                          Repository           Size
==========================================================================================================
Installing:
 gpm-libs                   x86_64             1.20.7-6.fc22                    fedora               36 k
 vim-common                 x86_64             2:7.4.1718-1.fc22                updates             6.6 M
 vim-enhanced               x86_64             2:7.4.1718-1.fc22                updates             1.1 M
 vim-filesystem             x86_64             2:7.4.1718-1.fc22                updates              26 k

Transaction Summary
==========================================================================================================
Install  4 Packages

Total download size: 7.8 M
Installed size: 26 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): gpm-libs-1.20.7-6.fc22.x86_64.rpm                                  3.5 MB/s |  36 kB     00:00    
(2/4): vim-filesystem-7.4.1718-1.fc22.x86_64.rpm                          5.8 MB/s |  26 kB     00:00    
(3/4): vim-enhanced-7.4.1718-1.fc22.x86_64.rpm                             22 MB/s | 1.1 MB     00:00    
(4/4): vim-common-7.4.1718-1.fc22.x86_64.rpm                               38 MB/s | 6.6 MB     00:00    
----------------------------------------------------------------------------------------------------------
Total                                                                     2.6 MB/s | 7.8 MB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  file /usr/share/man/man1/vim.1.gz from install of vim-common-2:7.4.1718-1.fc22.x86_64 conflicts with file from package vim-minimal-2:7.4.640-4.fc22.x86_64

Error Summary
-------------


Version-Release number of selected component (if applicable):
bugreport based on dnf-1.0.0-1.fc22.noarch
but also seen on dnf-1.1.9-2.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1. have older version of vim-minimal installed
2. rpm -q vim-minimal 
3. dnf list vim-enhanced
4. dnf install vim-enhanced 


Actual results:
# rpm -q vim-minimal
vim-minimal-7.4.640-4.fc22.x86_64
#  dnf list vim-enhanced
vim-enhanced.x86_64       2:7.4.1718-1.fc22   updates
# dnf install vim-enhanced 
...
Error: Transaction check error:
  file /usr/share/man/man1/vim.1.gz from install of vim-common-2:7.4.1718-1.fc22.x86_64 conflicts with file from package vim-minimal-2:7.4.640-4.fc22.x86_64


Expected results:
vim-enhanced instaled (+ vim-minimal upgraded as a side effect)

Additional info:
--allowerasing has no effect

workaround:
dnf upgrade vim-minimal
dnf install vim-enhanced

Comment 1 Igor Gnatenko 2016-06-20 10:25:44 UTC
It's packaging problem of vim. It should add:
Conflicts: %{name}-minimal < %{version}-%{release}
to the vim-enhanced package.

Comment 2 Igor Gnatenko 2016-06-20 11:08:14 UTC
Or I think it even could be handled on RPM side. If same binary file shared across 2 subpackages it should automagically add Conflicts.

Comment 3 Honza Silhan 2016-06-20 11:17:50 UTC
Seems like packaging issue. Thanks Igor for investigation. Reassigning...

Comment 4 Igor Gnatenko 2016-07-07 07:29:19 UTC
Karsten?

Comment 5 Karsten Hopp 2016-07-07 15:22:21 UTC
%{name}-minimal > %{version}-%{release}   can conflict as well, right ?

Comment 6 Igor Gnatenko 2016-07-07 15:23:18 UTC
(In reply to Karsten Hopp from comment #5)
> %{name}-minimal > %{version}-%{release}   can conflict as well, right ?

Yes.

Comment 7 Orion Poplawski 2016-10-05 20:54:40 UTC
  file /usr/share/man/man1/vim.1.gz from install of vim-minimal-2:8.0.003-1.fc26.x86_64 conflicts with file from package vim-common-2:7.4.1816-1.fc25.x86_64

Comment 8 Orion Poplawski 2016-10-05 20:59:31 UTC
nevermind - that's a perl dep issue it seems.

Comment 9 Fedora End Of Life 2016-11-25 09:18:06 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2016-12-20 20:58:00 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.